/****** CORPS ******/
:root {
    --ck-z-modal: 10000 !important;
    /* Variables isigéo */
    --isi-btn-onglet-top: -0.7rem;
    --isi-btn-onglet-zindex: 9999;
}

html {
    scroll-behavior: none;
}
.cke_notifications_area {
    display: none !important; 
}
input[type="date"]::-webkit-clear-button,
input[type="date"]::-webkit-inner-spin-button,
input[type="date"]::-webkit-outer-spin-button,
input[type="date"]::-webkit-calendar-picker-indicator,
input[type="time"]::-webkit-calendar-picker-indicator {
    background: none;
    display: none;
}

/* Pour les valeurs de ZL trop grandes */

.bootstrap-select .dropdown-menu {
    width: 100%;
}

#header-nav-fiche .dropdown-menu {
    max-height: 400px;
    overflow-y: auto;
}

.bootstrap-select .dropdown-menu li,
.bootstrap-select .dropdown-menu li span,
.bootstrap-select .filter-option {
    white-space: normal;
}

.bootstrap-select.bs-container {
    z-index: 9999999 !important;
}

.bootstrap-select > .dropdown-toggle:after {
    margin-top: 0 !important;
}

/* spacing */
.pb-30 {
    padding-bottom: 30%;
}

/* border-radius 100px */
.isigeo-zlbtn {
    border-radius: 100px !important;
}
/*permet de mettre à zero les paddings d'un jumbotron dans un container-fluid*/

.container-fluid .jumbotron {
    padding-right: 0px;
    padding-left: 0px;
}

#main > .container-fluid {
    height: 100%;
}

#panel {
    height: 100%;
    width: 100%;
}

.cursor-pointer {
    cursor: pointer;
}

.cursor-initial {
    cursor: initial;
}

.outline-none {
    outline: none !important;
    text-decoration: none !important;
}

.white-space-nowrap {
    white-space: nowrap;
}

.btn-group-zlbtn label {
    opacity: 0.6;
}

.btn-group-zlbtn label.active,
.btn-group-zlbtn label:hover,
.btn-group-zlbtn .reset-zlbtn {
    opacity: 1 !important;
}

#container-header {
    width: calc(100% - 53px);
}

@media (min-width: 400px) {
    .small-modal {
        width: 305px !important;
    }
}

/* Background noir de la modal par dessus la dialog */
/* .modal{
    z-index : 10001 !important;
} */
.modal {
    --bs-modal-zindex: 100000;
}
.modal-backdrop {
    z-index: 100000 !important;
}
/* Clockpicker par dessus la dialog */
.clockpicker-popover {
    z-index: 10030 !important;
}

.popover-data-filter {
    max-width: 450px !important;
}

/* Contenu de la page sauf les slider */

#sb-site {
    height: 100%;
    width: 100%;
    overflow: clip;
}

.add-padding {
    padding: 5px !important;
}

.add-margin {
    margin: 5px !important;
}

.btn-isigeo-nav {
    margin: 0.5em 5px;
    width: 43px;
}

.btn-isigeo-nav:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.btn-accordion-migp {
    position: absolute;
    left: 0px;
    top: 50%;
    z-index: 1;
    margin-top: 0;
    margin-left: 0px;
    border: 1px solid #b2b2b2;
    border-left: 0px;
    outline: transparent;
    border-radius: 0;
    padding: 16px 6px;
    box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.3);
}

.btn-selection-migp {
    position: absolute;
    right: 0px;
    top: 50%;
    z-index: 1;
    margin-top: 0;
    margin-left: 0px;
    border: 1px solid #b2b2b2;
    border-left: 0px;
    outline: transparent;
    border-radius: 0;
    padding: 16px 6px;
    box-shadow: 0px 1px 4px rgba(0, 0, 0, 0.3);
}

.content-class-legend {
    cursor: pointer;
}

.small-opacity {
    opacity: 0.7;
}

#loader-migp .spinner {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    right: 0;
}

#loader-migp .spinner-icon {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: absolute;
    margin: auto;
    width: 100px;
    height: 100px;
}

#shortcut-loader-container {
    /* background: #FFF; */
    z-index: 10;
}

#actual-map-migp {
    background-color: rgba(255, 255, 255, 0.7);
    text-align: center;
    margin-bottom: 0px;
    z-index: 2;
    border-bottom-left-radius: 6px;
    border-bottom-right-radius: 6px;
    padding-top: 8px;
    padding-bottom: 8px;
    position: absolute;
    top: 50px;
    /*left: 72px;*/
    left: 57px;
}

#about-migp {
    position: absolute;
    top: 49px;
    z-index: 9;
    left: 10px;
    background-color: rgba(255, 255, 255, 0.7) !important;
    border: 2px solid rgba(255, 255, 255, 0.23);
    margin-left: 12px;
}

.overflow-y-scroll {
    overflow-y: scroll;
}

.overflow-x-scroll {
    overflow-x: scroll;
}

.overflow-x-hidden {
    overflow-x: hidden;
}

.overflow-y-hidden {
    overflow-y: hidden;
}
.overflow-hidden {
    overflow: hidden !important;
}

/* Style slidebar */

.sb-slidebar {
    background-color: rgba(231, 231, 231, 0.8);
    overflow: hidden;
    left: 42px;
}

.bg-transparent {
    background-color: transparent !important;
}

.opacity-1 {
    opacity: 1 !important;
}

.opacity-0 {
    opacity: 0 !important;
}

.opacity-03 {
    opacity: 0.3 !important;
}

.disable-pointer {
    pointer-events: none !important;
}

/*taille icône icomoon (notamment partie administration)*/

/*h1 = boutons du sidebar*/

.ico-lg {
    font-size: 2.4rem !important;
    vertical-align: -0.3rem !important;
    /* Pour les SVG en balise <img> */
    width: 1em !important;
}

.ico-md {
    font-size: 1.8rem !important;
    vertical-align: -0.2rem !important;
    /* Pour les SVG en balise <img> */
    width: 1em !important;
}

.ico-sm {
    font-size: 1.2rem !important;
    vertical-align: -0.05rem !important;
    /* Pour les SVG en balise <img> */
    width: 1.5em !important;
}

/* icon svg  */
/* Commenté car sur des boutons avec des icônes ça fait un double effet au survol, sur le bouton ET sur l'icône */
/* span.icon:focus, span.icon:hover, i:focus, i:hover{
    filter: brightness(120%);
} */
/* Je commente car l'effet au survol me parait ok sans.. et ça fait des effets un peu bizarre ailleurs  */
/* span.icon, i.icon {
    transition: filter 0.1s ease-in;
} */

/* Vu qu'on size nos icones en rem, on ajuste egalement la line-height et la ligne d'alignement vertical pour un centrage vertical parfait
/* ex pour ico-h1, on ajoute .4 par rapport a notre rem, on reduit donc notre ligne d'alignement vertical de .4 divisé par 4 soit , .1 */
.ico-h1 {
    font-size: 1.4rem !important;
    line-height: 1.4rem !important;
    vertical-align: -0.1rem !important;
}

img.ico-h1 {
    width: 1.07em;
}

/* svg dans une balise img  */
img.svg:hover {
    filter: contrast(70%);
}

img.svg {
    transition: all 0.2s ease-in;
}

.box-h1 {
    width: 100% !important;
    margin: 0px !important;
    padding: 0.2rem 0.3rem !important;
}

.ico-h2:not(img) {
    font-size: 1.2rem !important;
    line-height: 1.2rem !important;
    /* Cas particulier du ico h2, le rendu est beaucoup mieux en .07 qu'en .05 */
    vertical-align: -0.07rem !important;
}

img.ico-h2 {
    width: 1.2em;
}

.box-h2 {
    width: 100% !important;
    margin: 0px !important;
    padding: 0.2rem 0.3rem !important;
}

.ico-h3 {
    font-size: 1rem !important;
    line-height: 1rem !important;
}

img.ico-h3 {
    width: 0.8em !important;
}

.box-h3 {
    width: 100% !important;
    margin: 0px !important;
    padding: 0.2rem !important;
}

.ico-h4 {
    font-size: 0.9rem !important;
    line-height: 0.9rem !important;
    vertical-align: 0.025rem !important;
}
img.ico-h4 {
    width: 0.6em !important;
}
.box-h4 {
    margin: 0px !important;
    padding: 0.2rem !important;
}

.ico-h5 {
    font-size: 0.8rem !important;
    line-height: 0.8rem !important;
    vertical-align: 0.05rem !important;
}
img.ico-h5 {
    width: 0.5em !important;
}

.icon-pdf-fiche {
    text-decoration: none !important;
    outline: none !important;
}

.puce {
    font-size: 0.5em;
    width: 0.3em;
}

.pull-left {
    float: left;
}

.pull-right {
    float: right;
}

.rotate-arrow {
    -moz-transition: all 0.4s ease;
    -webkit-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
}

[aria-expanded="false"] .down-right {
    -moz-transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    transform: rotateZ(-90deg);
}

[aria-expanded="true"] .right-down {
    -moz-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotateZ(90deg);
}

.rotate-90 {
    -moz-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotateZ(90deg);
}

.rotate-90-negative {
    -moz-transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    transform: rotateZ(-90deg);
}

/* button {
    outline: none !important;
} */

.bg-stripped {
    background-color: var(--bs-secondary-bg);
}

.not-stripped .grid:nth-child(2n + 1):not(:last-child) {
    border-right: 1px solid #dbdbdb;
}

.row-stripped .grid:nth-child(4n-2),
.row-stripped .grid:nth-child(4n-1) {
    background-color: var(--bs-secondary-bg);
}

.row-stripped-3 .grid:nth-child(4n) {
    background-color: var(--bs-secondary-bg);
}

.row-stripped-4 .grid:nth-child(4n),
.row-stripped-4 .grid:nth-child(5n) {
    background-color: var(--bs-secondary-bg);
}

.row-stripped-4 .grid:nth-child(3n + 1):not(:last-child),
.row-stripped-4 .grid:nth-child(3n + 2):not(:last-child) {
    border-right: 1px solid #dbdbdb;
}

.row-stripped-6 .grid:nth-child(4n + 1),
.row-stripped-6 .grid:nth-child(4n + 2) {
    background-color: var(--bs-secondary-bg);
}

.row-stripped-6 .grid:nth-child(2n + 1) {
    border-right: 1px solid #dbdbdb;
}

.row-stripped-12 .grid:nth-child(2n) {
    background-color: var(--bs-secondary-bg);
}

.inforap:not(.is-stripped):hover {
    background-color: rgba(0, 0, 0, 0.075);
}

.is-stripped {
    background-color: var(--bs-secondary-bg);
}

.inforap.is-stripped:hover {
    background-color: rgba(0, 0, 0, 0.075);
}

.btn-funky {
    width: 83%;
}

.isigeo-file .custom-file-input ~ .custom-file-label::after {
    content: "";
    padding: 0;
    border: 0;
}

.ol-tooltip-last {
    position: relative;
    background: var(--bs-gray-dark);
    border-radius: 4px;
    color: var(--bs-light);
    padding: 4px 8px;
    opacity: 1;
    white-space: nowrap;
    font-size: 12px;
}

.ol-tooltip {
    position: relative;
    background: var(--bs-light);
    border-radius: 4px;
    color: var(--bs-gray-dark);
    padding: 4px 8px;
    opacity: 1;
    white-space: nowrap;
    font-size: 12px;
}

.ol-tooltip-measure {
    opacity: 1;
    font-weight: bold;
}

.ol-tooltip-square {
    position: relative;
    background: var(--bs-light);
    border-radius: 4px;
    color: var(--bs-gray-dark);
    padding: 4px 8px;
    opacity: 0.5;
    white-space: nowrap;
    font-size: 10px;
}

.ol-tooltip-measure-index {
    z-index: 10000;
}

.ol-tooltip-last-index {
    z-index: 9999999;
}

#graphTab:fullscreen {
    background-color: #fff;
}

@media (min-width: 900px) {
    #graphTab:fullscreen {
        padding: 140px;
        background-color: #fff;
    }
}

.isigeo-invalid-field {
    border-color: var(--bs-danger);
}

.isi-font-sm {
    font-size: 0.85rem !important;
}

#panel-A:hover .btn-onglet,
#panel-B:hover .btn-onglet,
#panel-A:focus .btn-onglet,
#panel-B:focus .btn-onglet {
    opacity: 1;
}

.btn-onglet {
    position: absolute;
    z-index: var(--isi-btn-onglet-zindex);
    top: var(--isi-btn-onglet-top);
    right: 0.7rem;
    opacity: 0;
    transition: opacity 0.3s ease;
}
#swap-panel {
    position: absolute;
    left: -0.5625rem;
    top: var(--isi-btn-onglet-top);
    z-index: var(--isi-btn-onglet-zindex);
    transition: transform 0.3s ease;
}

.icon-panel {
    position: absolute;
    left: 3px;
    top: 2px;
}

@media (max-width: 767px) {
    #swap-panel {
        margin-left: auto;
        margin-right: auto;
        left: 0;
        right: 0;
    }
}

#drag {
    left: -3px;
    top: 0;
    bottom: 0;
    width: 6px;
    cursor: w-resize;
    z-index: 99;
}

#restore {
    position: absolute;
    left: -0.5625rem;
    top: 1.3rem;
    z-index: 99;
    transition: transform 0.3s ease;
}

.badge-multilink {
    top: -5px !important;
    right: -8px;
    font-size: 10px !important;
    position: absolute !important;
}

@keyframes highlight {
    0% {
        --bs-table-bg-state: #ffff99;
    }
    100% {
        --bs-table-bg-state: initial;
    }
}

.highlight {
    animation: highlight 2s;
}

/* Animation d'illumination avec opacité */
.highlight_element {
    animation: highlight-animation 0.5s ease-out;
}
  
@keyframes highlight-animation {
0% {
    opacity: 1;
}
50% {
    opacity: 0.5;
}
100% {
    opacity: 1;
}
}

.blur {
    filter: blur(5px);
}

/* ! Skeleton CSS ! */

.skeleton {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    /* height: 100%; */
}

.skeleton .line,
.skeleton .semi-line {
    position: relative;
    height: 12px;
    border-radius: 7px;
    background: rgba(0, 0, 0, 0.12);
}

.skeleton .line {
    margin: 0.5rem 0;
    flex: 0 0 95%;
    max-width: 95%;
}

.skeleton .semi-line {
    margin: 0.7rem 0 0 0;
    flex: 0 0 45%;
    max-width: 45%;
}

.skeleton .semi-line::after,
.skeleton .line::after {
    animation: loading 1.5s infinite;
    content: "";
    height: 100%;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    transform: translateX(-100%);
    z-index: 1;
    background: linear-gradient(90deg, hsla(0, 0%, 100%, 0), hsla(0, 0%, 100%, 0.3), hsla(0, 0%, 100%, 0));
}

.skeleton .semi-line:nth-of-type(2n) {
    margin-right: 0;
    z-index: 2;
}

.skeleton .semi-line:nth-last-of-type(-n + 2) {
    margin-bottom: 0.7rem;
}

.skeleton .head {
    flex: 0 0 100%;
    max-width: 100%;
    height: 35px;
    margin-bottom: 15px;
}

@keyframes shine {
    to {
        background-position: right -300px top 0;
    }
}

.loading:nth-child(odd) {
    z-index: 2;
}

.loading.col-6 {
    flex: 0 0 49%;
}

.loading.col-6,
.loading.col-5,
.loading.col-4,
.loading.col-3,
.loading.col-2 {
    border-radius: 6px;
    height: 14px;
}

.fiche .loading.col-12:not(h1),
.fiche .loading.col-6,
.fiche .loading.col-5,
.fiche .loading.col-4,
.fiche .loading.col-3,
.fiche .loading.col-2 {
    height: 24px;
}

h1.loading.col-12,
.footer.loading.col-12 {
    height: 40px;
}

/* DEBUT traitement spécifique agenda */

.calendar .button.loading,
.calendar .title {
    height: 31px;
}

/* Gestion bg color du header multiMonth (vue Année) */
.fc .fc-multimonth-title {
    background: var(--bs-primary-bg-subtle);
}
/* Ligne de séparation entre les semaines pour la vue 6weeks */
.fc .fc-sixWeek-view .fc-daygrid-body [role="row"] {
    border-top: 2px solid var(--bs-gray-500);
}
/* Aligne le numero de la semaine en bas */
.fc .fc-daygrid-week-number {
    top: inherit;
    bottom: 0;
}
/* centre la date du jour */
.fc .fc-daygrid-day-top {
    justify-content: center;
}
/* Allège le bold pour le titre des events */
.fc-daygrid-dot-event .fc-event-title {
    font-weight: 500 !important;
}

.skeletonTable .col-12.loading:not(.footer),
.skeletonTable .agenda.col-12.loading:not(.footer) {
    height: calc(100vh - 40px - 54px - 32px - 16px - 31px);
}

@media (hover: none) {
    .skeletonTable .col-12.loading,
    .skeletonTable .agenda.col-12.loading {
        height: calc(97vh - 54px - 16px - 31px - 40px - 32px - 8px);
    }

    .skeleton .loading::after {
        left: 0;
    }
}

/* FIN traitement spécifique agenda */

.loading {
    position: relative;
    height: 100%;
    animation: shine 1.5s infinite;
    background-color: var(--bs-gray-400) !important;
    background-image: linear-gradient(90deg, rgba(255, 255, 255, 0), rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
    background-size: 200px 100%;
    background-repeat: no-repeat;
    background-position: left -300px top 0;
}

.isigeo-list .icon-remove {
    transition: all 0.5s ease-out;
    z-index: 999;
}

.isigeo-list .icon-remove:hover {
    opacity: 0.4 !important;
}

/* ? End skeleton ? */

#calendar {
    transition: height 0.3s ease;
}

#advanced_footer,
#footer-form,
#agenda-footer {
    bottom: 0;
    z-index: 2;
}

#geovisio-footer,
#geovisio-footer-content,
#viewer-footer,
#viewer-footer-content,
#georef-footer,
#georef-footer-content,
#advanced_footer,
#agenda-footer,
#agenda-footer-content {
    min-height: 40px;
}

div[id^="container_inforap_"]:nth-child(odd) {
    background-color: var(--bs-secondary-bg);
}

div[id^="container_inforap_"]:hover {
    background-color: rgba(0, 0, 0, 0.075);
}

/* FullCalendar */

table tbody tr th {
    font-weight: inherit;
}

/* ZL Autocompletion */

div.autocompletion {
    text-align: left;
    background-color: rgb(255, 255, 255);
    font-size: 11px;
    margin: 0;
    padding: 0;
    z-index: 1;
    max-height: 240px;
    overflow-x: hidden;
    overflow-y: auto;
    border: 1px solid #aaaaaa;
    display: none;
}

div.autocompletion ul {
    /*margin:0 0 0 2;*/
    margin: 0 4px 4px 0;
    padding: 0 0 0 4px;
    list-style-type: none;
    /*padding:0;*/
}

div.autocompletion li {
    border-bottom: 1px dashed #808080;
    line-height: 15px;
    padding: 5px 6px;
    margin: 0px;
    list-style-type: none;
    text-align: left;
}

div.autocompletion li:hover {
    background-color: rgb(180, 180, 180);
    color: rgb(255, 255, 255);
    cursor: pointer;
}

div.autocompletion li em {
    background: #7db9e8;
    font-style: normal;
}

div.autocompletion .selected {
    background-color: #3875d7;
    background-image: -webkit-gradient(
        linear,
        left bottom,
        left top,
        color-stop(0.1, #2a62bc),
        color-stop(0.8, #3875d7)
    );
    background-image: -webkit-linear-gradient(center bottom, #2a62bc 10%, #3875d7 80%);
    background-image: -moz-linear-gradient(center bottom, #2a62bc 10%, #3875d7 80%);
    background-image: -o-linear-gradient(bottom, #2a62bc 10%, #3875d7 80%);
    background-image: -ms-linear-gradient(top, #2a62bc 10%, #3875d7 80%);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#2a62bc', endColorstr='#3875d7', GradientType=0);
    background-image: linear-gradient(top, #2a62bc 10%, #3875d7 80%);
    color: #fff;
}

div.autocompletion .selected em {
    background: transparent;
}

/*
  Compatible version 1.2.11 de jquery-container
  Utilise Chosen pour chosen-sprite.png
  */

.autocomplete-suggestions {
    z-index: 100000 !important;
    border: 1px solid #999;
    background: #fff;
    cursor: default;
    overflow: auto;
    -webkit-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64);
    -moz-box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64);
    box-shadow: 1px 4px 3px rgba(50, 50, 50, 0.64);
}

.autocomplete-suggestion {
    font-size: 88%;
    padding: 2px 5px;
    white-space: nowrap;
    overflow: hidden;
    cursor: pointer;
}

.autocomplete-no-suggestion {
    padding: 2px 5px;
}

.autocomplete-selected {
    background: #f0f0f0;
}

.autocomplete-suggestions strong {
    font-weight: normal;
    color: #3399ff;
}

.isigeo_ac input {
    border: 1px solid #ccc;
    font-size: 12px;
    background-color: var(--bs-body-bg);
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

div.isigeo_ac input {
    background: #fff url("../extras/chosen/chosen/chosen-sprite.png") no-repeat 100% -22px;
    background: url("../extras/chosen/chosen/chosen-sprite.png") no-repeat 100% -22px,
        -webkit-gradient(linear, left bottom, left top, color-stop(0.85, white), color-stop(0.99, #eeeeee));
    background: url("../extras/chosen/chosen/chosen-sprite.png") no-repeat 100% -22px,
        -webkit-linear-gradient(center bottom, white 85%, #eeeeee 99%);
    background: url("../extras/chosen/chosen/chosen-sprite.png") no-repeat 100% -22px,
        -moz-linear-gradient(center bottom, white 85%, #eeeeee 99%);
    background: url("../extras/chosen/chosen/chosen-sprite.png") no-repeat 100% -22px,
        -o-linear-gradient(bottom, white 85%, #eeeeee 99%);
    background: url("../extras/chosen/chosen/chosen-sprite.png") no-repeat 100% -22px,
        -ms-linear-gradient(top, #ffffff 85%, #eeeeee 99%);
    background: url("../extras/chosen/chosen/chosen-sprite.png") no-repeat 100% -22px,
        linear-gradient(top, #ffffff 85%, #eeeeee 99%);
}

/* Animated arrow */

@keyframes uparrow {
    0% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
        opacity: 0.4;
    }
    100% {
        -webkit-transform: translateY(-0.4em);
        transform: translateY(-0.4em);
        opacity: 0.9;
    }
}

@keyframes downarrow {
    0% {
        -webkit-transform: translateY(0);
        transform: translateY(0);
        opacity: 0.4;
    }
    100% {
        -webkit-transform: translateY(0.4em);
        transform: translateY(0.4em);
        opacity: 0.9;
    }
}

.arrow-animated {
    height: 0;
    margin: 0 auto;
    opacity: 0.4;
    width: 0;
}

.arrow-animated-up {
    -webkit-animation: uparrow 0.6s infinite alternate ease-in-out;
    animation: uparrow 0.6s infinite alternate ease-in-out;
}

.arrow-animated-down {
    -webkit-animation: downarrow 0.6s infinite alternate ease-in-out;
    animation: downarrow 0.6s infinite alternate ease-in-out;
}

.fs-1 {
    font-size: 0.9rem !important;
}

/* Pour pouvoir utiliser les thème généré par le theme builder sans avoir a rm le .col min-width 0*/

.col,
.col-sm,
.col-md,
.col-lg,
.col-xl {
    min-width: initial !important;
}

/* Limite la largeur à minimum 50% pour le menu carte */
.col.div-theme,
.col.div-carte {
    min-width: 47% !important;
}

.sticky-header {
    position: sticky;
    top: -1px;
}

.dtr-title .icon-sort-data,
.dtr-title .icon-filter-data {
    transform: none !important;
    bottom: inherit !important;
    left: inherit !important;
    position: relative !important;
    margin-left: 3px;
    vertical-align: middle;
}

.dtr-title .icon-sort-data,
.dtr-title .libelle-cell-header {
    display: inline-block !important;
    margin-bottom: 0.4rem !important;
    margin-top: 0.4rem !important;
}

table.dataTable > tbody > tr.child span.dtr-title {
    min-width: none !important;
    margin-right: 3px !important;
}

.bootstrap-table .fixed-table-toolbar .search {
    padding: 0.25rem !important;
    margin: 2px 0px 0px 0px !important;
}

.bootstrap-table .detail-icon {
  text-decoration: none !important;
  color: #3679e4;
}

.fixed-table-border {
    display: none;
}

.fixed-table-custom-view {
    overflow: auto !important;
    height: 100% !important;
}
.dropdown-settings-table {
    min-width: 250px !important;
}


/* Gestion des input file */
/* Cache le bouton "Choisir un fichier" rendu par défaut avec les input de type file boostrap 5 */
.custom-file-button input[type=file]::-webkit-file-upload-button {
    display: none;
}
.custom-file-button input[type=file]::file-selector-button {
    display: none;
}
.custom-file-input {
    position: absolute!important;
    width: 90%!important;
    height: 100%;
    opacity: 0;
    top: 0;
    left: 0;
}

/* Hack CSS Pour FF, les bordures du header ne sont pas visibles sinon avec le plugin bootstrap table */
@-moz-document url-prefix() {
    .table-bordered th {
        background-clip: padding-box;
    }
}

#container_global_requeteur,
#container_requeteur {
    display: flex;
}
.radio-filter-zl:checked + label {
    font-weight: 700 !important;
}

/* Suppression bordure bootstrap */
.table > :not(:first-child) {
    border-top: 0;
}

.mode-filter-char > button,
.mode-filter-char > button:hover {
    border: 1px solid #ced4da;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.mode-filter-char > button:after {
    margin-top: 3px !important;
}

.container_filter_field .btn:not(.bs-placeholder) .filter-option-inner-inner {
    font-weight: 700;
}
.bs-placeholder {
    font-style: italic;
}
.tooltip {
    z-index: 100000 !important;
}

.btn-remove-filter:disabled {
    cursor: not-allowed !important;
}

.btn-remove-filter:disabled:hover {
    background: inherit !important;
    color: inherit !important;
}

#context-menu,
#context-menu .sub-menu {
    list-style-type: none;
    position: fixed;
    z-index: 999999;
    padding: 0;
    min-width: 150px;
    max-width: 400px;
    background-color: rgba(var(--bs-body-bg-rgb), 1);
    border-radius: 5px;
    transform: scale(0);
    transform-origin: top left;
}

#context-menu.visible {
    transform: scale(1);
    transition: transform 200ms ease-in-out;
}

#context-menu .item:first-of-type {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

#context-menu .item:last-of-type {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

#context-menu .item {
    padding: 8px 10px;
    font-size: 15px;
    cursor: pointer;
    position: relative;
}

#context-menu .item:hover {
    background-color: rgba(var(--bs-light-rgb), 1);
}

#context-menu .item:focus {
    background-color: rgba(var(--bs-primary-rgb), 1) !important;
    color: var(--bs-primary-text-emphasis);
}

#context-menu .sub-menu {
    position: absolute;
    left: 100%;
    top: 0;
}

#context-menu .item:hover .sub-menu {
    transform: scale(1);
}

#context-menu .item:hover .sub-menu,
#context-menu .item .icon-angle-down {
    transition: transform 200ms ease-in-out;
}

#context-menu .item:hover .icon-angle-down {
    transform: rotate(-90deg);
}
.popover {
    --bs-popover-max-width: 100% !important;
}

.vertical-nav {
    position: sticky;
    top: 0;
    max-width: 150px;
    min-width: 150px;
    overflow: auto;
    margin: 0;
}

textarea {
    /* On retire 10px pour éviter d'avoir le curseur du resize à moitié hors de l'écran */
    max-width: calc(100% - 10px);
    max-height: calc(100% - 10px);
    width: auto;
    height: auto;
}

.text-active {
    color: var(--bs-dropdown-link-active-color) !important;
}

.fs-inherit {
    font-size: inherit !important;
}

.w-fit {
    width: fit-content !important;
}

[data-bs-theme="dark"] {
    .btn-light {
        --bs-btn-color: var(--bs-body-color);
        --bs-btn-bg: var(--bs-tertiary-bg);
        --bs-btn-border-color: var(--bs-tertiary-bg);
        --bs-btn-hover-color: var(--bs-body-color);
        --bs-btn-hover-bg: #949494;
        --bs-btn-hover-border-color: #949494;
        --bs-btn-focus-shadow-rgb: 211, 212, 213;
        --bs-btn-active-color: var(--bs-body-color);
        --bs-btn-active-bg: #919191;
        --bs-btn-active-border-color: #777777;
        --bs-btn-active-shadow: inset 0 3px 5px rgba(109, 109, 109, 0.125);
        --bs-btn-disabled-color: var(--bs-tertiary-color);
        --bs-btn-disabled-bg: var(--bs-tertiary-bg);
        --bs-btn-disabled-border-color: var(--bs-tertiary-bg);
    }
}

[contenteditable]:not([class^="ck-editor"]) {
    outline-color: var(--bs-warning);
}

code {
    background-color: var(--bs-tertiary-bg);
    border: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    padding: 0.25rem;
    font-weight: bold;
}

.dropdown-item:not(.active) .icon-globe,
.bootstrap-select .dropdown-toggle .filter-option-inner-inner .icon-globe {
    color: var(--bs-primary);
}
.dropdown-item:not(.active) .icon-table,
.bootstrap-select .dropdown-toggle .filter-option-inner-inner .icon-table {
    color: var(--bs-success);
}

.popover-body-p-0 .popover-body {
    padding: 0 !important;
}

@keyframes partial-rotating {
    0% {
        -ms-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    50% {
        -ms-transform: rotate(-45deg);
        -moz-transform: rotate(-45deg);
        -webkit-transform: rotate(-45deg);
        -o-transform: rotate(-45deg);
        transform: rotate(-45deg);
    }
    100% {
        -ms-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
}

@keyframes rotating {
    0% {
        -ms-transform: rotate(0deg);
        -moz-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        -o-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -ms-transform: rotate(360deg);
        -moz-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        -o-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

.partial-rotating {
    -webkit-animation: partial-rotating 2.5s linear infinite;
    -moz-animation: partial-rotating 2.5s linear infinite;
    -ms-animation: partial-rotating 2.5s linear infinite;
    -o-animation: partial-rotating 2.5s linear infinite;
    animation: partial-rotating 2.5s linear infinite;
}

.rotating {
    -webkit-animation: rotating 2.5s linear infinite;
    -moz-animation: rotating 2.5s linear infinite;
    -ms-animation: rotating 2.5s linear infinite;
    -o-animation: rotating 2.5s linear infinite;
    animation: rotating 2.5s linear infinite;
}

/* Styles pour la ligne de progression dans la géoplateforme */
.form--progress-bar {
    font-weight: bold;
}
.form--progress-bar .form--progress-bar--step {
    flex: 1 1 auto;
    background-color: #ddd;
    height: 8px;
    margin-top: 12px;
}
.form--progress-bar .form--progress-bar--dot {
    width: 30px;
    height: 30px;
    border-radius: 30px;
    background-color: #ddd;
    -webkit-box-shadow: 0 3px 5px rgba(0, 0, 0, 0.14);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.5);
    text-align: center;
    color: #777;
}
.form--progress-bar .form--progress-bar--dot .form--progress-bar--dot--number {
    font-weight: bold;
    font-size: 1.2rem;
    position: relative;
    width: 100%;
    top: 3px;
    display: block;
    color: white;
}
.form--progress-bar .form--progress-bar--dot--title {
    font-size: 11px;
}

.text-overflow-clamp-5 {
    width: 100%;
    /* this code clamps based on specified lines */
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    display: -webkit-box;
}

.text-overflow-clamp-10 {
    width: 100%;
    /* this code clamps based on specified lines */
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 10;
    display: -webkit-box;
}

.text-overflow-clamp-15 {
    width: 100%;
    /* this code clamps based on specified lines */
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 15;
    display: -webkit-box;
}
